#!/bin/sh
echo ""
echo "----- Generating User Keys"
mkdir ~/.ssh
if ! [ -f "~/.ssh/identity" ]; then
	echo "------- Generating RSA key for SSH v1"
	ssh-keygen -q -t rsa1 -f ~/.ssh/identity
	echo "   Be sure to set a password: ssh-keygen -p -f ~/.ssh/identity"
else
	echo "      SSHv1 Identify File ~/.ssh/identity exists"
fi

if ! [ -f "~/.ssh/id_rsa" ]; then
	echo "------- Generating RSA key for SSH v2"
	ssh-keygen -q -t rsa -f ~/.ssh/id_rsa
	echo "   Be sure to set a password: ssh-keygen -p -f ~/.ssh/id_rsa"
else
	echo "      SSHv2 RSA Identify File ~/.ssh/id_rsa exists"
fi

if ! [ -f "~/.ssh/id_dsa" ]; then
	echo "------- Generating DSA key for SSH v2"
	ssh-keygen -q -t dsa -f ~/.ssh/id_dsa
	echo "   Be sure to set a password: ssh-keygen -p -f ~/.ssh/id_dsa"
else
	echo "      SSHv2 DSA Identify File ~/.ssh/id_dsa exists"
fi
